#include <iostream>

using namespace std;

const int kEauationVal = 32;

int main(){
    float user_input=0, result=0;
    cout<<"Fahrenheit zu Celsius Rechener\n Bitte Temperatrur in Fahrenheit angeben: ";
    cin>>user_input;
    if(cin.fail()){
        cout<<"\n Fehler bei der Eingabe. Bitte Programm neu starten\n";
        return -1;
    }
    result = ((user_input-kEauationVal)*5)/9;
    cout << "Die Temperatur "<<user_input<<" °F entspricht "<<result<<" °C";
    return 0;

}